unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Grids, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Timer1: TTimer;
    procedure Button1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
const Colors: array [1..3] of TColor=(clRed,clYellow,clLime);
var
  Form1: TForm1;
  Cond:integer;
  Time:longint;
  Ball:array [1..3] of TShape;
  s:String;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
 close;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
 if Cond>0 then begin
  Ball[Cond].Brush.Style:=bsSolid;
  if Cond<3 then Inc(Cond)
  else Cond:=1;
  Ball[Cond].Brush.Style:=bsDiagCross;
  Inc(Time);
  str(Time,s);
  Label1.Caption:=s;
 end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var i:integer;
begin
 Cond:=0;
 Time:=0;
 for i:=1 to 3 do begin
  Ball[i]:=TShape.Create(Self);
  with Ball[i] do begin
   Parent:=Form1;
   Shape:=stCircle;
   Left:=168;
   Height:= 97;
   Width:=89;
   Top:=178+(i-1)* 75;
   Brush.Color:=Colors[i];
{   Visible:=True;
   Enabled:=True;
   Repaint; }
  end;
 end;
 Ball[1].Brush.Style:=bsDiagCross;
 Cond:=1;

end;

end.
