unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Refresh: TButton;
    DrawButton: TButton;
    procedure FormPaint(Sender: TObject);
    procedure RefreshClick(Sender: TObject);
    procedure DrawButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

const StrokIcons: array [0..4] of PChar = ( //   Windows
 IDI_APPLICATION,
 IDI_ASTERISK,
 IDI_EXCLAMATION,
 IDI_HAND,
 IDI_QUESTION
);
var IconList: TList; //  

{$R *.DFM}

procedure TForm1.FormPaint(Sender: TObject);
var Icon:TIcon; //  
I,sx1,sy1,sx2,sy2,width,height:Integer;
s:string;
R: TRect;
begin
 IconList:=TList.Create; // 
 For i:=Low(StrokIcons) to High(StrokIcons) do begin
  Icon:=TIcon.Create; //  
  Icon.Handle:=LoadIcon(0,Strokicons[i]); //  
  IconList.Add(TIcon(Icon));
 end;
 with Canvas do begin
  Brush.Color:=clYellow;
  // 
  Brush.Style:=bsBdiagonal;
  // 
  //  - bsSolid
  //   - bsClear
  // bsFDiagonal
  Pen.Color:=clGreen;
  Rectangle (ClipRect.Left,ClipRect.Top,ClipRect.Right,ClipRect.Bottom);
  //   
  For i:=Low(StrokIcons) to High(StrokIcons) do begin
   Draw (I*40,10,TICon(Iconlist[i]));
  end; //  
  // :
  Font.Color:=clBlue;
  Font.Name:='Arial'; // .  
  //Times New Roman  -  
  //Courier -    
  //Arial - 
  Font.Size:=20;
  Font.Style:=[fsItalic,fsBold];//  
  s:='Hello';
  width:=TextWidth(s);
  height:=TextHeight(s);
  TextOut (100,100,s);
  Font.Size:=10;
  Font.Style:=[];
  TextOut (100,130,'='+IntToStr(width)+' ='+IntToStr(height));
  //  GetClientRect:
  R := GetClientRect;
  //         -
  // GetClientOrigin, ClientHeight, ClientWidth
  Arc(R.Left, R.Top, R.Right, R.Bottom, R.Left, R.Top, R.Right, R.Top);
{  4  -  ,    
  :
  R.Left, R.Top, -  
  R.Right, R.Top -  
         
}
  Chord(R.Left, R.Top, R.Right, R.Bottom, R.Left, R.Top, R.Right, R.Top);
 //   
  for i:=100 to 200 do Pixels[i,100]:=clRed;
  // Pixels[x-, -] -    
  //   TColor
 end;

 //  :
 Randomize; // 1-  
 Canvas.Brush.Style:=bsClear; //    
 for i:=1 to 5 do begin
  sy1:=random (R.Bottom-R.Top);
  sx1:=random (R.Right-R.Left);
  sx2:=sx1+random (R.Right-sx1);
  sy2:=sy1+random (R.Bottom-sy1);
  Canvas.Rectangle (sx1,sy1,sx2,sy2);
 end;
end;

procedure TForm1.RefreshClick(Sender: TObject);
var R: TRect; // 
begin
 with Canvas do begin
  Brush.Style:=bsSolid;
  R := GetClientRect;
  Pen.Color:=clWhite;
  rectangle(R.Left, R.Top, R.Right, R.Bottom);
  Refresh;
 end;
end;

procedure TForm1.DrawButtonClick(Sender: TObject);
begin // 
 FormPaint(Form1);
end;

end.
