unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Memo1: TMemo;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

function f(x:real):real;
begin
 f:=sin(x)+1;
end;

procedure TForm1.Button1Click(Sender: TObject);
var a,b,x,fx:real;
    s0,s:string;
begin
 try
  a:=StrToFloat(Edit1.Text);
 except
  on EConvertError do begin
   if Edit1.Text='' then ShowMessage ('  A!')
   else ShowMessage (', '+ Edit1.Text +' -   ');
   Exit;
  end;
 end;
 try
   b:=StrToFloat(Edit2.Text);
   if a>=b then
    ShowMessage ('a    b!')
   else begin
    Memo1.Lines.Clear;
    x:=a;
    while x<=b do begin
     s0:=FloatToStrF(x,ffFixed,15,3);
     fx:=f(x);
     s:=FloatToStrF(fx,ffFixed,15,3);
     Memo1.Lines.Add (s0+#9+s);
     x:=x+0.1;
    end;
   end;
 except
  on EConvertError do begin
   if Edit2.Text='' then ShowMessage ('  B!')
   else ShowMessage (', '+ Edit2.Text +' -   ');
   Exit;
  end;
 end;
end;

end.
