unit Colors;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Button1: TButton;
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
  private
    { Private declarations }
    procedure GetOneColor (const S:String);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.GetOneColor(Const S:String);
begin
 ListBox1.Items.Add(S);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 GetColorValues (GetOneColor);
end;

procedure TForm1.ListBox1Click(Sender: TObject);
begin
 with ListBox1 do begin
  Panel1.Caption:=Items[ItemIndex];
  Panel1.Color:=StringToColor(Items[ItemIndex]);
  Label1.Caption:=IntToStr(ColorToRGB(StringToColor(Items[ItemIndex])));
 end;
end;

end.
